initctl: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused

Bug #1414420 reported by dino99 on 2015-01-25
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Light Display Manager
Undecided
Unassigned
lightdm (Ubuntu)
Low
Martin Pitt
Vivid
Low
Martin Pitt

Bug Description

That vivid system booted with systemd (systemd-sysv installed) have logged to journalctl:

lightdm[1195]: initctl: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused
lightdm[1220]: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
lightdm[1220]: PAM adding faulty module: pam_kwallet.so
lightdm[1220]: pam_unix(lightdm-greeter:session): session opened for user lightdm by (uid=0)

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: lightdm 1.13.1-0ubuntu2
ProcVersionSignature: Ubuntu 3.19.0-2.2-generic 3.19.0-rc4
Uname: Linux 3.19.0-2-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 2.15.1-0ubuntu2
Architecture: i386
CurrentDesktop: GNOME
Date: Sun Jan 25 11:35:37 2015
SourcePackage: lightdm
UpgradeStatus: No upgrade log present (probably fresh install)

dino99 (9d9) wrote :
dino99 (9d9) on 2015-01-26
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lightdm (Ubuntu):
status: New → Confirmed
Changed in lightdm (Ubuntu):
importance: Undecided → Critical
Changed in lightdm:
status: New → Confirmed
Changed in lightdm (Ubuntu):
status: Confirmed → Triaged
dino99 (9d9) wrote :

this is still logged on final vivid beta i386

lightdm[936]: initctl: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused

Bryan Quigley (bryanquigley) wrote :

Do you experience any failure with this or just the errors in the log?

tags: added: systemd-boot
malch (malch) wrote :

I also have this bug. It results in a failure to start my x11vnc service.

I had this in /etc/init/x11vnc.conf and it worked until this bug was introduced:

start on login-session-start
script
/usr/bin/x11vnc -xkb -auth /var/run/lightdm/root/:0 -noxrecord -noxfixes -noxdamage -rfbauth /etc/x11vnc.pass -forever -bg -rfbport 5900 -o /var/log/x11vnc.log
end script

Now I get the error in the log, and the service fails to start.

Colin Law (colin-law) wrote :

I get the unable to connect message about 10 secs after boot but no further lightdm messages, and no obvious ill effect, so perhaps it is unrelated to the PAM messages. In fact the only lightdm messages I see are:

$ grep -i lightdm /var/log/syslog
Apr 6 09:57:14 tigger kernel: [ 10.835217] audit: type=1400 audit(1428310634.471:2): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/lib/lightdm/lightdm-guest-session" pid=512 comm="apparmor_parser"
Apr 6 09:57:21 tigger lightdm[1449]: initctl: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused

syslog contained the complete boot sequence, and more.

Martin Pitt (pitti) wrote :

This is just cosmetical, lightdm works anyway.

Changed in lightdm (Ubuntu):
importance: Critical → Low
Martin Pitt (pitti) on 2015-04-08
Changed in lightdm (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: Triaged → In Progress
Martin Pitt (pitti) wrote :
Changed in lightdm:
status: Confirmed → Fix Released
Changed in lightdm (Ubuntu Vivid):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.14.0-0ubuntu2

---------------
lightdm (1.14.0-0ubuntu2) vivid; urgency=medium

  * Quiesce initctl errors when not running under upstart. (LP: #1414420)
 -- Martin Pitt <email address hidden> Wed, 08 Apr 2015 14:37:17 +0200

Changed in lightdm (Ubuntu Vivid):
status: Fix Committed → Fix Released
billhuey (bill-huey) wrote :

Same issue after I attempt to autocomplete the "start" command

billhuey (bill-huey) wrote :

This was after a vivid upgrade

hlorridi (trash-5) wrote :

same issue

$ sudo apt-get -o Dpkg::Options::="--force-confnew" install --reinstall lightdm
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 1 réinstallés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/110 ko dans les archives.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Préconfiguration des paquets...
(Lecture de la base de données... 259258 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../lightdm_1.14.0-0ubuntu2_amd64.deb ...
Dépaquetage de lightdm (1.14.0-0ubuntu2) sur (1.14.0-0ubuntu2) ...
Traitement des actions différées (« triggers ») pour dbus (1.8.12-1ubuntu5) ...
Traitement des actions différées (« triggers ») pour ureadahead (0.100.0-19) ...
Traitement des actions différées (« triggers ») pour systemd (219-7ubuntu5) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.0.2-5) ...
Paramétrage de lightdm (1.14.0-0ubuntu2) ...
initctl: Impossible de se connecter à Upstart: Failed to connect to socket /com/ubuntu/upstart: Connexion refusée

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers